

var mainHeader = document.querySelector("#header");
var topNav = document.querySelector("#header-center");
var logoNav = document.querySelector("#header-inner > div > div > div.col-lg-3.col-md-12.d-flex.justify-content-center.align-self-center");
var vailHeader = document.querySelector(".vail-header");
var mainFooter = document.querySelector("#footer");
var vailFooter = document.getElementById("vail-footer");
var headerContainer = document.querySelector("#header-inner .container-fluid");
var footerContainer =  document.querySelector("#footer > div.container-fluid");

// ADJUST TOP NAVIGATION BOOTSTRAP CONTAINERS TO ACCOUNT FOR MISSING CONTROL NAV
topNav.classList.replace('col-md-8', 'col-md-12');
logoNav.classList.replace('col-lg-3', 'col-lg-6');
logoNav.classList.remove('justify-content-center'); // LEFT ALIGN LOGO ON DESKTOP

mainHeader.appendChild(vailHeader); // ATTACH CUSTOM HEADER TO NAVIGATION BAR
$(mainFooter).before(vailFooter); // ATTACH CUSTOM FOOTER TO PAGE FOOTER

headerContainer.classList.replace('container-fluid', 'container') // REPLACE HEADER FULL-WIDTH CONTAINER WITH NORMAL CONTAINER

// UPDATE CUSTOM HEADER AND FOOTER VARIABLE CONTENT BASED ON PAGE
$(document).ready(function () {
  var path = $(location).attr('pathname'); // GET PAGE
  var pageName = path.replace(/^\//, '').replace(/\.\w+$/, ''); // Remove leading slash and trailing period

  let currentPage; // Declare currentPage with let
  $.each(content, function (i, c) {
    if (c.id === pageName) {
      currentPage = c;
      return false; // Stops iteration once a match is found
    }
  });

  if (currentPage) { // IF ID IS PRESENT IN CONTENT.JS
    $('#vail-header-img').attr('src', 'https://www.vaildunlap.com/files/' + currentPage.imgSrc); // REPLACE CUSTOM HEADER IMAGE
    $(':root').css('--vail-swapper', currentPage.color); // REPLACE COLOR OF 'YOUR'
    $('#foot-text-primary').text(currentPage.textPrimary); // REPLACE BLACK TEXT IN CUSTOM FOOTER
    $('#foot-text-secondary').html(currentPage.textSecondary); // REPLACE WHITE TEXT IN CUSTOM FOOTER
  } else {
    $('.vail-header').css('display', 'none'); // IF PAGE ID IS NOT IN CONTENT.JS, HIDE CUSTOM HEADER
    $('#vail-footer').css('display', 'none'); // IF PAGE ID IS NOT IN CONTENT.JS, HIDE CUSTOM FOOTER
  }
});

// FORCES ANCHOR LINKS TO ACCOUNT FOR TALL HEADER WHEN USING ACHOR LINKS
var header = document.querySelector("#header");
var scrollMargins = document.querySelectorAll(".scroll-margin"); // GET ALL ELEMENTS WITH SCROLL-MARGIN CLASS

let height = header.offsetHeight; // GET HIEIGHT OF HEADER (NAVIGAITON + CUSTOM HEADER)
let heightDiff = height + 60; // ADD HEIGHT OF STICKY NAV TO HEADER

scrollMargins.forEach(function(scrollMargin) {
  scrollMargin.style.scrollMarginTop = `${heightDiff}px`;  // ATT SCROLL MARGIN HEIGHT CALCULATED ABOVE TO ANCHOR LINKS WITH THE SCROLL MARGIN CLASS
});







var promoSearch = document.querySelector("#WE_Frame");
var secondaryNav = document.querySelector("#header > nav");
var logoContainer = document.querySelector("#header-inner > div > div > div.col-lg-6.col-md-12.d-flex.align-self-center")
var quickSearch = document.querySelector(".quicksearch")
var cart = document.querySelector("#nav1 > li:nth-child(6)")


document.addEventListener('DOMContentLoaded', function() {
    if (promoSearch) {
      secondaryNav.style.display = 'block';
      //cart.style.display = 'block';
      quickSearch.style.display='block';
      logoContainer.appendChild(quickSearch);
    }
});




// ADD HEADER TO BLOG PAGE
var blogPage =document.querySelector("#blogs") 
var blogHeader = `<div id="page-title" style="position: relative; z-index: 0; background: none;">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <h1>BLOG</h1>
            </div>
        </div>
    </div>
<div class="backstretch" style="left: 0px; top: 0px; overflow: hidden; margin: 0px; padding: 0px; height: 300px; width: 1875px; z-index: -999998; position: absolute;"><img src="/we/we.dll/Pic?UN=28335&amp;F=F&amp;Age=1482450796" style="position: absolute; margin: 0px; padding: 0px; border: none; width: 1875px; height: 1875px; max-height: none; max-width: none; z-index: -999999; left: 0px; top: -787.5px;"></div></div>`

if(blogPage) { blogPage.insertAdjacentHTML("afterbegin", blogHeader)};






//HIDE ALL H3s WITH NO CONTENT (AKA FEATURED COLLECTION TITLES)
document.addEventListener('DOMContentLoaded', function() {
    var h3Elements = document.querySelectorAll('h3');
    h3Elements.forEach(function(h3) {
        if (!h3.innerText.trim()) {
            h3.style.display = 'none';
        }
    });
});





// CUSTOM LOGO SLIDER
$(document).ready(function(){
$('.brands-we-trust').slick({
  slidesToShow: 4,
  slidesToScroll: 1,
  autoplay: true,
  autoplaySpeed: 4000,
});
});

	


var homeContentBottom = document.querySelector("#home-content-bottom > div > div") // GET CONTENT SECTION #2
homeContentBottom && homeContentBottom.insertAdjacentHTML('afterbegin', '<h2 class="big-title text-center">Updates from the Industry</h2>'); // ADD TITLE 



document.getElementById('currentYear').innerHTML = new Date().getFullYear(); // DISPLAY CURRENT YEAR IN FOOTER



document.querySelector("#footer").classList.add('bg-curve'); //  ADD CURVE SHAPE CLASS TO FOOTER




var ftLogo = document.querySelector("#ftlogo > a > img") // GET FOOTER LOGO
var footLeft = document.querySelector("#footer-left") // GET LOGO CONTAINER
var footMid = document.querySelector("#footer > div.container-fluid > div > div.col-lg-5.col-md-6") //  GET FOOT NAV CONTAINER
var footRight = document.querySelector("#footer-right") // GET NEWSLETTER CONTAINER

// ADJUST FOOTER CONTAINERS
 footerContainer.classList.replace('container-fluid', 'container') // REPLACE FOOTER FULL-WIDTH CONTAINER WITH NORMAL CONTAINER
footLeft.classList.replace('col-lg-4', 'col-lg-2');
//footMid.classList.replace('col-lg-5', 'col-lg-auto')
footMid.classList.replace('col-lg-3', 'col-lg-5')

ftLogo.src = 'https://www.vaildunlap.com/files/vail-dunlap_logomark.svg'; //REPLACE WITH SVG ICON

